| Home | Libraries | People | FAQ | More

## Struct template make_avltree

boost::intrusive::make_avltree

## Synopsis

    // In header: <boost/intrusive/avltree.hpp>

    template<typename T, class... Options>
    struct make_avltree {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a `avltree` that yields to the same type when the same options (either explicitly or implicitly) are used.